<?php
// ------------------------------------------------------------------------- //
//                XOOPS - PHP Content Management System                      //
//                       <http://www.xoops.org/>                             //
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
// ------------------------------------------------------------------------- //
if(!defined("xoops_C_DATABASE_INCLUDED")){
	define("xoops_C_DATABASE_INCLUDED",1);

class AbsDatabase {
	var $prefix;
	var $debug = false;

	function AbsDatabase(){
		die("Cannot instantiate this class directly");
	}

	function setPrefix($value) {
		$this->prefix = $value;
	}

	function prefix($tablename="") {
		if($tablename != ""){
			return $this->prefix ."_". $tablename;
		} else {
			return $this->prefix;
		}
	}

	function setDebug($flag=true) {
		if ( $flag ) {
			$this->debug = true;
		} else {
			$this->debug = false;
		}
	}
}

}
?>